# E:/uas2/Server/WorldManager.cpp File Reference

`#include "MasterServer.h"`
`#include "WorldManager.h"`
`#include "Client.h"`
`#include "cModels.h"`
`#include "cMagicModels.h"`

## Defines

#define | RADAR_RADIUS 120

## Variables

WORD | wTmpMoveCounter

## Detailed Description

Encapsulates basic world functionality. Maintains client and object lists. Loads world objects and populates/depopulates landblock object lists. Also controls when and which objects' Create Packets are sent to the client.

See also:
  ReceiveAllObjectsInLandBlock() - encapsulates the functionality to create the objects within a given avatar's landblock.
  ReceiveAllObjectsInFocus() - encapsulates funtionality to create tthe objects with the area of a given avatar's landblock.
  LandBlocksWithin() - determines which landblocks are in the area of a given avatar's landblock.